Package org.eclipse.wst.xsl.ui.provisional.contentassist

## org.eclipse.wst.xsl.ui.provisional.contentassist
Class NullContentAssistRequest

    public class NullContentAssistRequest
    extends org.eclipse.wst.xsl.ui.provisional.contentassist.AbstractXSLContentAssistRequest

An empty content assist request.

## Constructor Summary

`NullContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

## Method Summary

`public java.util.ArrayList` | `getCompletionProposals()`

## Constructor Detail

## NullContentAssistRequest

`public NullContentAssistRequest(org.w3c.dom.Node node , IStructuredDocumentRegion documentRegion , ITextRegion completionRegion , int begin , int length , java.lang.String filter , ITextViewer textViewer)`

A NULL ContentAssistRequest has no proposals.

## Methods Detail

## getCompletionProposals

`public java.util.ArrayList getCompletionProposals()`

### Returns

`java.util.ArrayList`